let expect = require('chai').expect;
let nock = require('nock');
let api = require('../dist/v1/api.js');

const ENDPOINT = 'http://marsweather.ingenology.com/v1/';

describe("api", () => {
  describe("get /latest", () => {
    it("is successful", (done) => {
      nock(ENDPOINT)
        .get('/latest')
        .reply('200');

      api.latest((err, res) => {
        expect(res.statusCode).to.equal(200);
        done();
      });
    });
  });

  describe("get /archive", () => {
    it("is successful", (done) => {
      nock(ENDPOINT)
        .get('/archive')
        .reply('200');

      api.archive((err, res) => {
        expect(res.statusCode).to.equal(200);
        done();
      });
    });
  });

  describe("get /alerts", () => {
    it("is successful", (done) => {
      nock(ENDPOINT)
        .get('/alerts')
        .reply('200');

      api.alerts((err, res) => {
        expect(res.statusCode).to.equal(200);
        done();
      });
    });
  });

  describe("get /archive?page=2", () => {
    it("is successful", (done) => {
      let query = {
        page: '2',
        format: 'json'
      };

      nock(ENDPOINT)
        .get('/archive')
        .query(query)
        .reply('200');

      api.archive(query, (err, res) => {
        expect(res.statusCode).to.equal(200);
        done();
      });
    });
  });
});